<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dedicace_enfants', function (Blueprint $table) {
            $table->id();
            $table->string('nom_enfant');
            $table->string('sexe');
            $table->string('nom_pere');
            $table->string('nom_mere');
            $table->string('numero_certificat');
            $table->string('lieu');
            $table->date('date');
            $table->boolean('status')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dedicace_enfants');
    }
};